# tkvabout.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvabout
catch {destroy $w}
toplevel $w
wm title $w "tkVoice About"
wm iconname $w "tkVoice About"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

######################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicepaths}
image create photo tkvoicepaths -file [file join $tkvoicedir/image/tkvoiceabout.gif]

label $w.gif.tkvoicepaths -image tkvoicepaths -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicepaths -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

#########################

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1

label $w.msg -font {helvetica 18 bold} -wraplength 4i -justify center -text "\n$TKVREV\n$TKVDATE"
label $w.msg1 -font {helvetica 12 bold} -wraplength 4i -justify center -text "by Peter Bruley"
label $w.msg2 -font {helvetica 12 bold} -wraplength 4i -justify center -text "\nftp://alpha.greenie.net/pub/mgetty/tools/"
pack $w.msg $w.msg1 $w.msg2 -side top -fill x
