# tkvaudio.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvaudio
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Audio Setup"
wm iconname $w "tkVoice Audio Setup"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

######################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoiceaudio}
image create photo tkvoiceaudio -file [file join $tkvoicedir/image/tkvoiceaudio.gif]

label $w.gif.tkvoiceaudio -image tkvoiceaudio -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoiceaudio -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right


#########################


frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.save -text SAVE -command "saveaudio; destroy $w"
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.save $w.buttons.cancel -side left -expand 1

# playwave stuff
label $w.msg -font $font -wraplength 4i -justify left -text "\nTkVoice gives you the option of using a custom system command to play \"wav\" files.\nIf \"wavplay\" compiled properly at install time just leave this setting in \"AUTO\"."
label $w.msg1 -font $font -wraplength 4i -justify left -text "\nPlay WAV command"
pack $w.msg $w.msg1 -side top -fill x
frame $w.play
pack $w.play -side top -expand yes -pady .1c -padx .5c
radiobutton $w.play.auto -text "AUTO Play WAV Mode" -variable AUTOP \
                -relief flat -value 1
pack $w.play.auto -side top -pady 2 -anchor w
radiobutton $w.play.autonot -text "Custom" -variable AUTOP -relief flat -value 0
entry $w.play.entry -relief sunken -width 50 -textvariable playwave -background snow2
pack $w.play.autonot -side left  -pady 2
pack $w.play.entry -side right -pady 2

# rec-wave stuff
label $w.msg2 -font $font -wraplength 4i -justify left -text "\nTkVoice gives you the option of using a custom system command to record \"wav\" files.\nIf \"wavrec\" compiled properly at install time just leave this setting in \"AUTO\"."
label $w.msg3 -font $font -wraplength 4i -justify left -text "\nRecord WAV command"
pack $w.msg2 $w.msg3 -side top -fill x
frame $w.rec
pack $w.rec -side top -expand yes -pady .1c -padx .5c
radiobutton $w.rec.auto -text "AUTO Record WAV Mode" -variable AUTOR \
                -relief flat -value 1
pack $w.rec.auto -side top -pady 2 -anchor w
radiobutton $w.rec.autonot -text "Custom" -variable AUTOR -relief flat -value 0
entry $w.rec.entry -relief sunken -width 50 -textvariable recordwave -background snow2
pack $w.rec.autonot -side left  -pady 2
pack $w.rec.entry -side right -pady 2

focus $w.play.entry
bind $w.play.entry <Return> {focus $w.rec.entry}
bind $w.rec.entry <Return> {focus $w.play.entry}

