# tkvreadme.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvreadme
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Readme"
wm iconname $w "tkVoice Readme"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

######################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicepaths}
image create photo tkvoicepaths -file [file join $tkvoicedir/image/tkvoicereadme.gif]

label $w.gif.tkvoicepaths -image tkvoicepaths -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicepaths -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

#########################

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1

text $w.text -relief sunken -bd 2 -yscrollcommand "$w.scroll set" \
	     -setgrid 1 -height 30 -state normal 
scrollbar $w.scroll -command "$w.text yview"
pack $w.scroll -side right -fill y
pack $w.text -expand yes -fill both  
$w.text insert 0.0 \
{          _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

          This file announces the release of tkvoice 1.2a

                          Peter Bruley
                     pbruley@highstream.net

                    GNU GENERAL PUBLIC LICENSE
                       Version 2, June 1991

                        (See file COPYING)

            The latest version of this script is available from:
                 ftp://alpha.greenie.net/pub/mgetty/tools/

          -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-


TKVOICE  completely  replaces  xvoicetool.   It   incorporates   wavplay
tools to let you record your "outgoing greeting" and play your  messages
through your sound card. Recent enhancements include support for viewing
facsimles (FAX Viewing Support).
This  program  will  always work  regardless  of what window manager you
decide to run  (ie/ KDE or GNOME) as  this  sort of application does not
seem to have a high priority with these two popular window managers.

See also the BUGS file.

------------------------------------------------------------------------
WHAT'S NOT INCLUDED :
------------------------------------------------------------------------

"TCL/TK" I wrote this app for wish v8.3 of the  tcl/tk  GUI manager but
         should work with older versions.
         Available from: http://www.scriptics.com/software/tcltk/

"vgetty" mgetty+fax package http://alpha.greenie.net/mgetty/

"netpbm" Tools available from: http://sourceforge.net/projects/netpbm/


------------------------------------------------------------------------
TKVOICE REQUIREMENTS :
------------------------------------------------------------------------

        - Probably any kernel released as 1.2.13 or later is a safe bet,
        - Requires appropriate and working sound drivers installed
        - tk/tcl installed and "wish" is somewhere in users PATH
        - vgetty installed and pvftools are somewhere in users PATH
	- netpbm tools for viewing FAX's

------------------------------------------------------------------------
TESTED ON:
------------------------------------------------------------------------

        - Slackware v8.0 for Intel i686
        - tk/tcl v8.3
        - Linux Kernel releases: 2.2.19 and 2.4.12

------------------------------------------------------------------------
HISTORY :
------------------------------------------------------------------------
 
1.2a	Released March 8th, 2002.
	-fixed print range support

1.2	Released March 7th, 2002.
	-added FAX Viewing Support
	-bug fixes (scroll in main message selection)

1.1     Released Jan. 8th, 2002.
        -bug fixes
	-wrote install script
        -added slider for adjusting record time
        -added "NEW" flag for messages not played yet.
	-added auto update feature to monitor incoming calls
	-added more info under the HELP menu
 
1.0     Released Jan. 1st, 2002.
 
------------------------------------------------------------------------
TKVOICE USAGE :
------------------------------------------------------------------------
 
        tkvoice 
 
 
------------------------------------------------------------------------
INSTALLATION :
------------------------------------------------------------------------
 
See the included file INSTALL for details about installation.
 
End of README.}
$w.text configure -state disabled
